# class Raven::Transports::Transport

### Attributes

configuration[RW]

### Public Class Methods

new(configuration) click to toggle source

    # File lib/raven/transports.rb, line 8
    def initialize(configuration)
      @configuration = configuration
    end

### Public Instance Methods

send_event() click to toggle source

    # File lib/raven/transports.rb, line 12
    def send_event # (auth_header, data, options = {})
      raise NotImplementedError, 'Abstract method not implemented'
    end